2017-11-20 05:28 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000453v2.0 Release (Closed)[All Projects] Generalpublic2010-06-28 22:19
Reporterzbyszek 
Assigned Tocaseydk 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Product Versionv2.0.0 
Target VersionFixed in Versionv2.0.0 
Summary0000453: After installing SVN 1118 and update database error :
DescriptionAfter installing SVN 1118 and update database error :

/var/www/webdotproject3/classes/w2p/Database/Query.class.php(1109): query failed(SELECT user_id, contact_first_name as user_first_name, contact_last_name as user_last_name, contact_company as user_company, contact_department as user_department, contact_email as user_email, user_type FROM ((`users` AS users)) INNER JOIN `contacts` AS con ON contact_id = user_contact WHERE user_id = 6 AND user_username = ' ') - error was: Unknown column 'contact_email' in 'field list'
ERROR: /var/www/webdotproject3/classes/w2p/Database/Query.class.php(1109) : query failed(SELECT user_id, contact_first_name as user_first_name, contact_last_name as user_last_name, contact_company as user_company, contact_department as user_department, contact_email as user_email, user_type FROM ((`users` AS users)) INNER JOIN `contacts` AS con ON contact_id = user_contact WHERE user_id = 6 AND user_username = ' ') - error was: Unknown column 'contact_email' in 'field list'
Backtrace:
0 /var/www/webdotproject3/classes/w2p/Database/Query.class.php:1109 dprint()
1 /var/www/webdotproject3/classes/w2p/Database/Query.class.php:1256 exec()
2 /var/www/webdotproject3/classes/ui.class.php:758 loadObject()
3 /var/www/webdotproject3/index.php:126 login()
Unknown column 'contact_email' in 'field list'

Cannot log on to the system.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000917

zbyszek (reporter)

After installing SVN to 1124, you can log on to a system error moves to ProjectDesigner-normal view project-task

/var/www/webdotproject3/classes/w2p/Database/Query.class.php(1109): query failed(SELECT DISTINCT(user_id), user_username, contact_last_name, contact_first_name, contact_email, company_name, contact_company, dept_id, dept_name, CONCAT(contact_first_name,' ',contact_last_name) contact_name, user_type FROM ((`users` AS users)) INNER JOIN `contacts` AS con ON contact_id = user_contact LEFT JOIN `companies` AS com ON company_id = contact_company LEFT JOIN `departments` AS dep ON dept_id = contact_department GROUP BY user_id ORDER BY contact_first_name, contact_last_name) - error was: Unknown column 'contact_email' in 'field list'
ERROR: /var/www/webdotproject3/classes/w2p/Database/Query.class.php(1109) : query failed(SELECT DISTINCT(user_id), user_username, contact_last_name, contact_first_name,
         contact_email, company_name, contact_company, dept_id, dept_name, CONCAT(contact_first_name,' ',contact_last_name) contact_name, user_type FROM ((`users` AS users)) INNER JOIN `contacts` AS con ON contact_id = user_contact LEFT JOIN `companies` AS com ON company_id = contact_company LEFT JOIN `departments` AS dep ON dept_id = contact_department GROUP BY user_id ORDER BY contact_first_name, contact_last_name) - error was: Unknown column 'contact_email' in 'field list'
Backtrace:
0 /var/www/webdotproject3/classes/w2p/Database/Query.class.php:1109 dprint()
1 /var/www/webdotproject3/classes/w2p/Database/Query.class.php:1174 exec()
2 /var/www/webdotproject3/includes/main_functions.php:378 loadHashList()
3 /var/www/webdotproject3/modules/tasks/tasks.class.php:1740 w2PgetUsersHashList()
4 /var/www/webdotproject3/modules/tasks/tasks.php:495 getAllocation()
5 /var/www/webdotproject3/style/web2project/overrides.php:101 require()
6 /var/www/webdotproject3/modules/projects/view.php:339 show()
7 /var/www/webdotproject3/index.php:362 require()
Unknown column 'contact_email' in 'field list'

~0000918

zbyszek (reporter)

Subject module Todos - ver 1.01 error

/var/www/webdotproject3/classes/w2p/Database/Query.class.php(1109): query failed(SELECT st.*,p.project_name, p.project_color_identifier, p.project_company,c.contact_first_name, c.contact_last_name, c.contact_email FROM ((`todos` AS st)) LEFT JOIN `projects` AS p ON p.project_id = st.todo_project_id LEFT JOIN `contacts` AS c ON c.contact_id = st.todo_related_to_contact_id LEFT JOIN `companies` AS co ON co.company_id = p.project_company LEFT JOIN `project_departments` AS project_departments ON p.project_id = project_departments.project_id LEFT JOIN `departments` AS dep ON dep.dept_id=project_departments.department_id WHERE st.todo_due < now() AND st.todo_status = 1 AND st.todo_user_id = 6 AND st.todo_project_id = 31 ORDER BY st.todo_due, p.project_name, st.todo_title) - error was: Unknown column 'c.contact_email' in 'field list'
ERROR: /var/www/webdotproject3/classes/w2p/Database/Query.class.php(1109) : query failed(SELECT st.*,p.project_name, p.project_color_identifier, p.project_company,c.contact_first_name, c.contact_last_name, c.contact_email FROM ((`todos` AS st)) LEFT JOIN `projects` AS p ON p.project_id = st.todo_project_id LEFT JOIN `contacts` AS c ON c.contact_id = st.todo_related_to_contact_id LEFT JOIN `companies` AS co ON co.company_id = p.project_company LEFT JOIN `project_departments` AS project_departments ON p.project_id = project_departments.project_id LEFT JOIN `departments` AS dep ON dep.dept_id=project_departments.department_id WHERE st.todo_due < now() AND st.todo_status = 1 AND st.todo_user_id = 6 AND st.todo_project_id = 31 ORDER BY st.todo_due, p.project_name, st.todo_title) - error was: Unknown column 'c.contact_email' in 'field list'
Backtrace:
0 /var/www/webdotproject3/classes/w2p/Database/Query.class.php:1109 dprint()
1 /var/www/webdotproject3/classes/w2p/Database/Query.class.php:1146 exec()
2 /var/www/webdotproject3/modules/todos/todos.class.php:155 loadList()
3 /var/www/webdotproject3/modules/todos/vw_idx_open.php:38 getTodosForDateRange()
4 /var/www/webdotproject3/modules/todos/projects_tab.view.todolist.php:6 include()
5 /var/www/webdotproject3/style/web2project/overrides.php:101 require()
6 /var/www/webdotproject3/modules/projects/view.php:339 show()
7 /var/www/webdotproject3/index.php:362 require()

Warning: Invalid argument supplied for foreach() in /var/www/webdotproject3/modules/todos/vw_idx_open.php on line 42
/var/www/webdotproject3/classes/w2p/Database/Query.class.php(1109): query failed(SELECT st.*,p.project_name, p.project_color_identifier, p.project_company,c.contact_first_name, c.contact_last_name, c.contact_email FROM ((`todos` AS st)) LEFT JOIN `projects` AS p ON p.project_id = st.todo_project_id LEFT JOIN `contacts` AS c ON c.contact_id = st.todo_related_to_contact_id LEFT JOIN `companies` AS co ON co.company_id = p.project_company LEFT JOIN `project_departments` AS project_departments ON p.project_id = project_departments.project_id LEFT JOIN `departments` AS dep ON dep.dept_id=project_departments.department_id WHERE st.todo_due >= '2010-05-31 00:00:00' AND st.todo_due <= '2010-05-31 23:59:59' AND st.todo_status = 1 AND st.todo_user_id = 6 AND st.todo_project_id = 31 ORDER BY st.todo_due, p.project_name, st.todo_title) - error was: Unknown column 'c.contact_email' in 'field list'
ERROR: /var/www/webdotproject3/classes/w2p/Database/Query.class.php(1109) : query failed(SELECT st.*,p.project_name, p.project_color_identifier, p.project_company,c.contact_first_name, c.contact_last_name, c.contact_email FROM ((`todos` AS st)) LEFT JOIN `projects` AS p ON p.project_id = st.todo_project_id LEFT JOIN `contacts` AS c ON c.contact_id = st.todo_related_to_contact_id LEFT JOIN `companies` AS co ON co.company_id = p.project_company LEFT JOIN `project_departments` AS project_departments ON p.project_id = project_departments.project_id LEFT JOIN `departments` AS dep ON dep.dept_id=project_departments.department_id WHERE st.todo_due >= '2010-05-31 00:00:00' AND st.todo_due <= '2010-05-31 23:59:59' AND st.todo_status = 1 AND st.todo_user_id = 6 AND st.todo_project_id = 31 ORDER BY st.todo_due, p.project_name, st.todo_title) - error was: Unknown column 'c.contact_email' in 'field list'
Backtrace:
0 /var/www/webdotproject3/classes/w2p/Database/Query.class.php:1109 dprint()
1 /var/www/webdotproject3/classes/w2p/Database/Query.class.php:1146 exec()
2 /var/www/webdotproject3/modules/todos/todos.class.php:155 loadList()
3 /var/www/webdotproject3/modules/todos/vw_idx_open.php:38 getTodosForDateRange()
4 /var/www/webdotproject3/modules/todos/projects_tab.view.todolist.php:6 include()
5 /var/www/webdotproject3/style/web2project/overrides.php:101 require()
6 /var/www/webdotproject3/modules/projects/view.php:339 show()
7 /var/www/webdotproject3/index.php:362 require()

Warning: Invalid argument supplied for foreach() in /var/www/webdotproject3/modules/todos/vw_idx_open.php on line 42
/var/www/webdotproject3/classes/w2p/Database/Query.class.php(1109): query failed(SELECT st.*,p.project_name, p.project_color_identifier, p.project_company,c.contact_first_name, c.contact_last_name, c.contact_email FROM ((`todos` AS st)) LEFT JOIN `projects` AS p ON p.project_id = st.todo_project_id LEFT JOIN `contacts` AS c ON c.contact_id = st.todo_related_to_contact_id LEFT JOIN `companies` AS co ON co.company_id = p.project_company LEFT JOIN `project_departments` AS project_departments ON p.project_id = project_departments.project_id LEFT JOIN `departments` AS dep ON dep.dept_id=project_departments.department_id WHERE st.todo_due >= '2010-06-01 00:00:00' AND st.todo_due <= '2010-06-01 23:59:59' AND st.todo_status = 1 AND st.todo_user_id = 6 AND st.todo_project_id = 31 ORDER BY st.todo_due, p.project_name, st.todo_title) - error was: Unknown column 'c.contact_email' in 'field list'
ERROR: /var/www/webdotproject3/classes/w2p/Database/Query.class.php(1109) : query failed(SELECT st.*,p.project_name, p.project_color_identifier, p.project_company,c.contact_first_name, c.contact_last_name, c.contact_email FROM ((`todos` AS st)) LEFT JOIN `projects` AS p ON p.project_id = st.todo_project_id LEFT JOIN `contacts` AS c ON c.contact_id = st.todo_related_to_contact_id LEFT JOIN `companies` AS co ON co.company_id = p.project_company LEFT JOIN `project_departments` AS project_departments ON p.project_id = project_departments.project_id LEFT JOIN `departments` AS dep ON dep.dept_id=project_departments.department_id WHERE st.todo_due >= '2010-06-01 00:00:00' AND st.todo_due <= '2010-06-01 23:59:59' AND st.todo_status = 1 AND st.todo_user_id = 6 AND st.todo_project_id = 31 ORDER BY st.todo_due, p.project_name, st.todo_title) - error was: Unknown column 'c.contact_email' in 'field list'
Backtrace:
0 /var/www/webdotproject3/classes/w2p/Database/Query.class.php:1109 dprint()
1 /var/www/webdotproject3/classes/w2p/Database/Query.class.php:1146 exec()
2 /var/www/webdotproject3/modules/todos/todos.class.php:155 loadList()
3 /var/www/webdotproject3/modules/todos/vw_idx_open.php:38 getTodosForDateRange()
4 /var/www/webdotproject3/modules/todos/projects_tab.view.todolist.php:6 include()
5 /var/www/webdotproject3/style/web2project/overrides.php:101 require()
6 /var/www/webdotproject3/modules/projects/view.php:339 show()
7 /var/www/webdotproject3/index.php:362 require()

Warning: Invalid argument supplied for foreach() in /var/www/webdotproject3/modules/todos/vw_idx_open.php on line 42
/var/www/webdotproject3/classes/w2p/Database/Query.class.php(1109): query failed(SELECT st.*,st.todo_due as display_date,p.project_name, p.project_color_identifier, p.project_company,c.contact_first_name, c.contact_last_name, c.contact_email FROM ((`todos` AS st)) LEFT JOIN `projects` AS p ON p.project_id = st.todo_project_id LEFT JOIN `contacts` AS c ON c.contact_id = st.todo_related_to_contact_id LEFT JOIN `companies` AS co ON co.company_id = p.project_company LEFT JOIN `project_departments` AS project_departments ON p.project_id = project_departments.project_id LEFT JOIN `departments` AS dep ON dep.dept_id=project_departments.department_id WHERE st.todo_due >= '2010-06-02 00:00:00' AND st.todo_due <= '2010-06-06 23:59:59' AND st.todo_status = 1 AND st.todo_user_id = 6 AND st.todo_project_id = 31 ORDER BY st.todo_due, p.project_name, st.todo_title) - error was: Unknown column 'c.contact_email' in 'field list'
ERROR: /var/www/webdotproject3/classes/w2p/Database/Query.class.php(1109) : query failed(SELECT st.*,st.todo_due as display_date,p.project_name, p.project_color_identifier, p.project_company,c.contact_first_name, c.contact_last_name, c.contact_email FROM ((`todos` AS st)) LEFT JOIN `projects` AS p ON p.project_id = st.todo_project_id LEFT JOIN `contacts` AS c ON c.contact_id = st.todo_related_to_contact_id LEFT JOIN `companies` AS co ON co.company_id = p.project_company LEFT JOIN `project_departments` AS project_departments ON p.project_id = project_departments.project_id LEFT JOIN `departments` AS dep ON dep.dept_id=project_departments.department_id WHERE st.todo_due >= '2010-06-02 00:00:00' AND st.todo_due <= '2010-06-06 23:59:59' AND st.todo_status = 1 AND st.todo_user_id = 6 AND st.todo_project_id = 31 ORDER BY st.todo_due, p.project_name, st.todo_title) - error was: Unknown column 'c.contact_email' in 'field list'
Backtrace:
0 /var/www/webdotproject3/classes/w2p/Database/Query.class.php:1109 dprint()
1 /var/www/webdotproject3/classes/w2p/Database/Query.class.php:1146 exec()
2 /var/www/webdotproject3/modules/todos/todos.class.php:155 loadList()
3 /var/www/webdotproject3/modules/todos/vw_idx_open.php:38 getTodosForDateRange()
4 /var/www/webdotproject3/modules/todos/projects_tab.view.todolist.php:6 include()
5 /var/www/webdotproject3/style/web2project/overrides.php:101 require()
6 /var/www/webdotproject3/modules/projects/view.php:339 show()
7 /var/www/webdotproject3/index.php:362 require()

Warning: Invalid argument supplied for foreach() in /var/www/webdotproject3/modules/todos/vw_idx_open.php on line 42
/var/www/webdotproject3/classes/w2p/Database/Query.class.php(1109): query failed(SELECT st.*,st.todo_due as display_date,p.project_name, p.project_color_identifier, p.project_company,c.contact_first_name, c.contact_last_name, c.contact_email FROM ((`todos` AS st)) LEFT JOIN `projects` AS p ON p.project_id = st.todo_project_id LEFT JOIN `contacts` AS c ON c.contact_id = st.todo_related_to_contact_id LEFT JOIN `companies` AS co ON co.company_id = p.project_company LEFT JOIN `project_departments` AS project_departments ON p.project_id = project_departments.project_id LEFT JOIN `departments` AS dep ON dep.dept_id=project_departments.department_id WHERE st.todo_due >= '2010-06-07 00:00:00' AND st.todo_due <= '2010-06-13 23:59:59' AND st.todo_status = 1 AND st.todo_user_id = 6 AND st.todo_project_id = 31 ORDER BY st.todo_due, p.project_name, st.todo_title) - error was: Unknown column 'c.contact_email' in 'field list'
ERROR: /var/www/webdotproject3/classes/w2p/Database/Query.class.php(1109) : query failed(SELECT st.*,st.todo_due as display_date,p.project_name, p.project_color_identifier, p.project_company,c.contact_first_name, c.contact_last_name, c.contact_email FROM ((`todos` AS st)) LEFT JOIN `projects` AS p ON p.project_id = st.todo_project_id LEFT JOIN `contacts` AS c ON c.contact_id = st.todo_related_to_contact_id LEFT JOIN `companies` AS co ON co.company_id = p.project_company LEFT JOIN `project_departments` AS project_departments ON p.project_id = project_departments.project_id LEFT JOIN `departments` AS dep ON dep.dept_id=project_departments.department_id WHERE st.todo_due >= '2010-06-07 00:00:00' AND st.todo_due <= '2010-06-13 23:59:59' AND st.todo_status = 1 AND st.todo_user_id = 6 AND st.todo_project_id = 31 ORDER BY st.todo_due, p.project_name, st.todo_title) - error was: Unknown column 'c.contact_email' in 'field list'
Backtrace:
0 /var/www/webdotproject3/classes/w2p/Database/Query.class.php:1109 dprint()
1 /var/www/webdotproject3/classes/w2p/Database/Query.class.php:1146 exec()
2 /var/www/webdotproject3/modules/todos/todos.class.php:155 loadList()
3 /var/www/webdotproject3/modules/todos/vw_idx_open.php:38 getTodosForDateRange()
4 /var/www/webdotproject3/modules/todos/projects_tab.view.todolist.php:6 include()
5 /var/www/webdotproject3/style/web2project/overrides.php:101 require()
6 /var/www/webdotproject3/modules/projects/view.php:339 show()
7 /var/www/webdotproject3/index.php:362 require()

Warning: Invalid argument supplied for foreach() in /var/www/webdotproject3/modules/todos/vw_idx_open.php on line 42
/var/www/webdotproject3/classes/w2p/Database/Query.class.php(1109): query failed(SELECT st.*,st.todo_due as display_date,p.project_name, p.project_color_identifier, p.project_company,c.contact_first_name, c.contact_last_name, c.contact_email FROM ((`todos` AS st)) LEFT JOIN `projects` AS p ON p.project_id = st.todo_project_id LEFT JOIN `contacts` AS c ON c.contact_id = st.todo_related_to_contact_id LEFT JOIN `companies` AS co ON co.company_id = p.project_company LEFT JOIN `project_departments` AS project_departments ON p.project_id = project_departments.project_id LEFT JOIN `departments` AS dep ON dep.dept_id=project_departments.department_id WHERE st.todo_due >= '2010-06-14 00:00:00' AND st.todo_status = 1 AND st.todo_user_id = 6 AND st.todo_project_id = 31 ORDER BY st.todo_due, p.project_name, st.todo_title) - error was: Unknown column 'c.contact_email' in 'field list'
ERROR: /var/www/webdotproject3/classes/w2p/Database/Query.class.php(1109) : query failed(SELECT st.*,st.todo_due as display_date,p.project_name, p.project_color_identifier, p.project_company,c.contact_first_name, c.contact_last_name, c.contact_email FROM ((`todos` AS st)) LEFT JOIN `projects` AS p ON p.project_id = st.todo_project_id LEFT JOIN `contacts` AS c ON c.contact_id = st.todo_related_to_contact_id LEFT JOIN `companies` AS co ON co.company_id = p.project_company LEFT JOIN `project_departments` AS project_departments ON p.project_id = project_departments.project_id LEFT JOIN `departments` AS dep ON dep.dept_id=project_departments.department_id WHERE st.todo_due >= '2010-06-14 00:00:00' AND st.todo_status = 1 AND st.todo_user_id = 6 AND st.todo_project_id = 31 ORDER BY st.todo_due, p.project_name, st.todo_title) - error was: Unknown column 'c.contact_email' in 'field list'
Backtrace:
0 /var/www/webdotproject3/classes/w2p/Database/Query.class.php:1109 dprint()
1 /var/www/webdotproject3/classes/w2p/Database/Query.class.php:1146 exec()
2 /var/www/webdotproject3/modules/todos/todos.class.php:155 loadList()
3 /var/www/webdotproject3/modules/todos/vw_idx_open.php:38 getTodosForDateRange()
4 /var/www/webdotproject3/modules/todos/projects_tab.view.todolist.php:6 include()
5 /var/www/webdotproject3/style/web2project/overrides.php:101 require()
6 /var/www/webdotproject3/modules/projects/view.php:339 show()
7 /var/www/webdotproject3/index.php:362 require()

Warning: Invalid argument supplied for foreach() in /var/www/webdotproject3/modules/todos/vw_idx_open.php on line 42
        
    Unknown column 'c.contact_email' in 'field list'

~0000924

caseydk (administrator)

I've update the todos module in SVN. You can get the updates here: http://web2project-mod.svn.sourceforge.net/viewvc/web2project-mod?view=rev&revision=85

It won't be rolled into a new release until w2p v2.0 is released.
+Notes

-Issue History
Date Modified Username Field Change
2010-05-30 23:24 zbyszek New Issue
2010-05-31 00:39 zbyszek Note Added: 0000917
2010-05-31 01:19 zbyszek Note Added: 0000918
2010-05-31 11:44 caseydk Status new => assigned
2010-05-31 11:44 caseydk Assigned To => caseydk
2010-05-31 19:41 caseydk Project v2.0 Release (Closed) => Third-party Modules
2010-05-31 19:43 caseydk Note Added: 0000924
2010-05-31 19:43 caseydk Status assigned => resolved
2010-05-31 19:43 caseydk Resolution open => fixed
2010-06-28 22:18 caseydk Project Third-party Modules => v2.0 Release (Closed)
2010-06-28 22:19 caseydk Status resolved => closed
2010-06-28 22:19 caseydk Fixed in Version => v2.0
+Issue History